function value = get(model, param)

% function value = get(model, param)
%
% Assess properties of linear object.
%
% Christian Merkwirth 2002

value = [];

switch(lower(param))
 	case 'trainparams'
   	value = model.trainparams;
       
      if isempty(value)
         value.maxdepth = 8;
         value.max_interactions = 2;        % allows procucts of up to three (2+1) variables, set to zero for no interactions
         value.selfinteractions = 1;		% remove this fraction of the models according to their error	
      end
	case 'eps'
      value = model.eps;
   otherwise
      warning(['Parameter ' param ' is not element of class linear'])
end
