function [ xout ] = calc( model, xin )
%%
%%  [ xout ] = calc( model, xin )
%%
%%  Calculate Perceptron
%%

[ m, dummy ] = size( xin );

if ~isempty(xin)
  %% Scale data 
 [ xin, scalefactor ] = scale_data(xin, model.data_scale, model.urbilder_scalefacs);
end

for l=1:model.layers
  xin = [ xin, model.offsett*ones(m,1) ];
  xin = (tanh(xin*model.w{l}) + model.linear_factor*(xin*model.w{l}));
end	

% Bring output back to original scaling
xout = descale_data( xin,  model.bilder_scalefac, model.data_scale );


