function model = perceptron2(varargin)

% function model = perceptron2(varargin)
%
% Simple interface class to Magnus Nrgaard's Neural Network Based
% System Identification TOOLBOX neural network function
%
% Christian Merkwirth

model.topology = randsel([4 6 8 12 16 24 32]);

if nargin>1
	model.topology = varargin{1};	   
end   

model.netstruct = [repmat('H',1,model.topology); ['H' repmat('-', 1, model.topology-1)] ];
   
model.W1 = [];
model.W2 = [];

model.uscalefacs = [];
model.bscalefac = [];
  
model.trainparams = {};		
model.eps = 0.0;

model = class(model, 'perceptron2');
  
  