function model=polynomial(varargin)

% function model=polynomial(maxgrad)
%
% Constructor for class polynomial
%
% Several monomials are selected using a greedy heuristics out of a set of monomials up to a given
% degree maxgrad. The degree of a monomial is the sum of it's exponents.
%
% E.g. (x1^3)(x2^1)(x3^0)(x4^2) has degree 3+1+0+2 = 6
%
% Christian Merkwirth 2002

model.maxgrad = 6;
model.maxnrmonoms = 200;
model.monoms = [];		% stores #N monoms (exponent vectors of length D) as N by D matrix
model.coefficients = [];
model.trainparams = {};		
model.eps = 0.0;

if nargin > 0
	model.maxnrmonoms = varargin{1};
end   

model = class(model, 'polynomial');


