function s = pol2string(monoms, coeff, varargin)

% function s = pol2string(monoms, coeff, varargin)
% Print polynom into string s
%
% Christian Merkwirth 2002

if nargin < 3
	supress = 0;		% supress == 1 => don't print monoms with very small coefficients
else
	supress = varargin{1};
end

D = size(monoms, 2);
s = num2str(coeff(end));

for i=1:(length(coeff)-1)	
   item = 0; 
	if (~supress) | (abs(coeff(i)) > 1e-6* sum(abs(coeff)))	% supress very small coefficients
		if coeff(i) ~= 1
         if (coeff(i)>0)
            s = [s ' + ' num2str(coeff(i))];
			else
				s = [s ' ' num2str(coeff(i))];
			end 
			item = item + 1;
		end

		for j=1:D
			expon = monoms(i, j);
			switch expon
				case 0
					s;
				case 1
					if item > 0
						s = [s '*'];
					end			
					s = [s 'x(' num2str(j) ')'];
					item = item + 1;				
				otherwise
					if item > 0
						s = [s '*'];
					end			
					s = [s '(x(' num2str(j) ')^' num2str(expon) ')'];
					item = item + 1;		
			end
		end

%		if item == 0
%			s = [s '1'];
%		end
	end
end
