function [model, trainerr] = train(model, urbilder, bilder, sampleclass, trainparams, eps, varargin)

% function [model, trainerr] = train(model, urbilder, bilder, sampleclass, trainparams, eps, (sampleweights))
%
%
% Christian Merkwirth 2002

global entooldrawit

if isempty(trainparams)
   trainparams = get(model, 'trainparams');
end

nr_train = length(bilder);

if nargin > 6
   sampleweights = varargin{1};
else
   sampleweights = ones(nr_train,1);
end  

[indtrain, indtest] = dissemble(sampleclass, nr_train);

Ntrain = length(indtrain);
Ntest = length(indtest);

model.net = prbfn_train(urbilder(indtrain,:)',bilder(indtrain)', model.maxhidden, trainparams);

model.trainparams = trainparams;
model.eps = eps;
