function value = get(model, param)

% function value = get(model, param)
%
% Assess properties of linear object.
%
% Christian Merkwirth 2002

value = [];

switch(lower(param))
 	case 'trainparams'
   	value = model.trainparams;
      
      if isempty(value)
         % Make a dummy call to get default training params for the choosen method
         [dummy,dummy,dummy,dummy,conf] = feval(model.method, [1:10],[1:10]');
         
    		conf.minmem = [4 6 10];
         conf.msc = 'bic';
         
         if strcmp(model.method,'rbf_rt_1')
	      	conf.pseudo = 1;
         end
         
         value.conf = conf;
      end
	case 'eps'
      value = model.eps;
   otherwise
      warning(['Parameter ' param ' is not element of class rbf'])
end

