function [newmetrics, newks] = metricga(metrics, errs, trainparams)

N = size(metrics, 1);
D = size(metrics, 2);

if length(errs) ~= N
   error('Length of error vector and number of individua does not match');
end
   
% Keep elitist

[dummy,ind] = sort(errs);
newmetrics = metrics(ind(1:trainparams.nr_elitist),:);

while (size(newmetrics, 1) < N)
	indsup1 = tournament(errs);
	indsup2 = tournament(errs);

   [m,m2] = crossover(metrics, indsup1, indsup2);
   
   if rand < 0.2
      m = mutate(m, trainparams.nr_quants);
   end
   if rand < 0.2
      m2 = mutate(m2, trainparams.nr_quants);
   end
      
   newmetrics = [newmetrics; m; m2];
end

function [indsup, indinf] = tournament(errs)

% Randomly choose a pair of indices between 1 and length of vector errs,
% and return both indices so that errs(indsup) is smaller than errs(indinf)

pair = randsel(1:length(errs), 2);

if errs(pair(1)) < errs(pair(2))
   indinf = pair(2);
   indsup = pair(1);
else
   indinf = pair(1);
   indsup = pair(2);
end
   
function [m,m2] = crossover(metrics, ind1, ind2)

m = metrics(ind1,:);
m2 = metrics(ind2,:);

swapind = find(rand(1,length(m)) > 0.5);

m_tmp = m;
m(swapind) = m2(swapind);
m2(swapind) = m_tmp(swapind);

function mm = mutate(m, nr_quant)

mm = m;

if length(find(m) > 1) & (rand < 0.25)
	ind = find(mm);		% Eintrge ungleich Null suchen
   n = randsel(ind);		% einen davon auswhlen
	mm(n) == 0;				% und auf Null setzen
else   
   counter = 1;
	n = randsel(1:length(mm));
   while(((mm(n) == m(n)) | all(mm == 0)) & (counter < 10))
      mm(n) = randsel(0:(nr_quant-1))/(nr_quant-1);   
      counter = counter + 1;
   end
end   

