function [ outdata ] = delay_embed(data, dim, delay)
%%
%%  [ outdata ] = delay_embed(data, dim, delay)
%%
%%  Delay-Embedding in dimension 'dim' with time-lag 'delay'
%%
%%
%%   Joerg Wichard 2002
  
  [ m, n ] = size(data);
  if ( (m ~= 1) & (n~=1) )
    error('Wrong data in function delay_embed');
  end
  
  data = transpose(data(:));
  dlength = length(data);
  
  if ( dim > 1 )
    squeser = transpose(1:delay:(dim*delay));
  else
    error('Wrong embedding dimension in function delay_embed');
  end
  
  outdata=zeros( (dlength-((dim-1)*delay)),dim);
  
  for k=1:(dlength-((dim-1)*delay))
    
    outdata(k,:) = data(squeser);

    squeser =  squeser + ones(size(squeser));
    
  end
  