function [w, A, yhat] = linreg(X,y) 

% function [w, A] = linreg(X,y)
%
% Simple linear regression, X is matrix of size N by D,
% containing inputs of dimension D, y is output of size N by 1.
%
% w is the D+1 by 1 vector of coefficients, last entry is the
% offset.
%
% 
% Christian Merkwirth

X = [X ones(size(X,1),1)];
A = pinv(X'*X);
w = A*X'*y;

if nargout > 2
	yhat = X*w;
end



