function e = relepsinloss(des, is, eps, varargin)

% function relepsinloss(des, is, eps, weights)
%
% Relative eps-insensitive squared loss compared to eps-insensitve variance
% of the desired (first input argument).
%
% Christian Merkwirth

if nargin < 3
   eps = 0.0;
end

if nargin < 4
   desmean = mean(des);
else
   weights = varargin{1};
   weights = weights/sum(weights);
   desmean = sum(des(:).*weights(:));
end

rel = epsinloss(des, repmat(desmean, size(des)), eps, varargin{:});
err = epsinloss(des, is, eps, varargin{:});

if rel > 0
   e = err/rel;
else
   warning('Desired values show zero variance, cannot compute relative loss');
   e = err;
end

   
   